socketappender.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/appender.h>`
`#include <log4cplus/helpers/socket.h>`
`#include <log4cplus/thread/syncprims.h>`
`#include <log4cplus/thread/threads.h>`
`#include <log4cplus/helpers/connectorthread.h>`
Include dependency graph for socketappender.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::SocketAppender
| Sends `spi::InternalLoggingEvent` objects to a remote a log server. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Functions

LOG4CPLUS_EXPORT void | log4cplus::helpers::convertToBuffer (SocketBuffer &buffer, const log4cplus::spi::InternalLoggingEvent &event, const log4cplus::tstring &serverName)
LOG4CPLUS_EXPORT log4cplus::spi::InternalLoggingEvent | log4cplus::helpers::readFromBuffer (SocketBuffer &buffer)

## Variables

std::size_t const | log4cplus::LOG4CPLUS_MAX_MESSAGE_SIZE = 8*1024